function y = ZeljeneBoje(n,x)
	% n - predstavlja zeljeni broj boja
	% tip tabele - ako je dato predstavlja velicine barova, ako je ocene onda je x=4
	

			
Boje  = [ 34  8 42 14 49;
          38  7  3  9  1;
          20 19 41 18 17; 
          37 43 24 36 15];
%prva dva reda su za ocene
%druga dva reda su za razlupane
   
   

	if n<1
		error("Trazite broj boja manji od 1")
	else
		if x==4
			red = ceil(rand()*2);
		else
			red = ceil(rand()*4);
		end
	
		if n<=5
			kolona = ceil(rand()*(6-n));
			y = Boje(red,kolona:kolona+n-1);
		else
			y = 1:n;
			y = y - floor(y/5)*5;
			indx = find(y==0);
			y(indx)=5;
			y = Boje(red,y);
		end
	end
end